# VirusTotal API DXL Python Service
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

## Overview

The VirusTotal DXL Python service exposes access to the [VirusTotal API](https://www.virustotal.com/en/documentation/public-api/)
via the [Data Exchange Layer](http://www.mcafee.com/us/solutions/data-exchange-layer.aspx) (DXL) fabric.

## Documentation

See the [Wiki](https://github.com/opendxl/opendxl-virustotal-service-python/wiki) for an overview of the
VirusTotal API DXL Python service and usage examples.

See the [VirusTotal API DXL Python service documentation](https://opendxl.github.io/opendxl-virustotal-service-python/pydoc) for
installation instructions, API documentation, and usage examples.

## Installation

To start using the VirusTotal API DXL Python Service:

* Download the [Latest Release](https://github.com/opendxl/opendxl-virustotal-service-python/releases/latest)
* Extract the release .zip file
* View the `README.html` file located at the root of the extracted files.
  * The `README` links to the documentation which includes installation instructions and usage examples.

## Docker Support

A pre-built Docker image can be used as an alternative to installing a Python environment with the
modules required for the VirusTotal DXL service.

See the [Docker Support Documentation](https://opendxl.github.io/opendxl-virustotal-service-python/pydoc/docker.html) for details.

## Bugs and Feedback

For bugs, questions and discussions please use the [GitHub Issues](https://github.com/opendxl/opendxl-virustotal-service-python/issues).

## LICENSE

Copyright 2017 McAfee LLC

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
